Subject: bug#70940: closed (Re: bug#70940: You found a bug: the program derivation)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jun 2025 09:34:04 +0000

Your bug report

#70940: You found a bug: the program derivation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70940: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70940
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70940: You found a bug: the program derivation
From: Simon Tournier <[email-masked]>
To: Rick Huijzer <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jun 2025 11:32:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Tue, 14 May 2024 at 15:50, Rick Huijzer <[email-masked]> wrote:

> ./guix/store.scm:1444:15: In procedure loop:
> ERROR:
>   1. &store-protocol-error:
>       message: "`/gnu/store/8dzvn0qr62a8l2ad3hx1xhjdvxifc7hn-guix-1.4.0-18.4c94b9e/bin/guix substitute' died unexpectedly"
>       status: 1
> guix pull: error: You found a bug: the program '/gnu/store/13bvpk5dqjmdzspb276qzs24jcj3jjhh-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "6e86089d563ccb67ae04cd941ca7b66c1777831f"; system: "x86_64-linux";
> host version: "a682ddd70846d488cfbd82d65e8566ec6739813c"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

Thanks for the report and sorry for the late reply.

I think this bug

    https://issues.guix.gnu.org/issue/70940

is transient and/or part of this series [1].

Therefore, I’m closing.  Feel free to reopen if I’m missing something.

Cheers,
simon

1: toward a plan? (was Re: Reducing "You found a bug" reports)
Simon Tournier <[email-masked]>
Tue, 10 Sep 2024 16:51:09 +0200
id:[email-masked]
https://lists.gnu.org/archive/html/guix-devel/2024-09
https://yhetil.org/guix/[email-masked]

Subject: You found a bug: the program derivation
From: Rick Huijzer <[email-masked]>
To: [email-masked]
Date: Tue, 14 May 2024 15:50:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Authenticating channel 'guix', commits 9edb3f6 to 6e86089 (6 new commits)...
Building from these channels:
  brandhout-packageshttps://github.com/brandhout/guix_channel.git 5fe3961
  nonguix   https://gitlab.com/nonguix/nonguix.git 7081518
  guix      https://git.savannah.gnu.org/git/guix.git 6e86089
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'...
100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
building
/gnu/store/zjw8b0v33zd45n3bg9g59f5zdpzi8hfk-compute-guix-derivation.drv...
Computing Guix derivation for 'x86_64-linux'... \Backtrace:
          14 (primitive-load
"/gnu/store/13bvpk5dqjmdzspb276qzs24jcj3jjhh-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 13 (_ _)
    159:9 12 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?)
?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 11 (with-fluid* _ _ _)
    152:2 10 (with-fluid* _ _ _)
In ./guix/store.scm:
  2205:24  9 (run-with-store #<store-connection 256.100 7fa9ded330a0>
#<procedure 7fa9c24de0f0 at ./guix/self.scm:1?> ?)
   2033:8  8 (_ #<store-connection 256.100 7fa9ded330a0>)
In ./guix/gexp.scm:
   299:22  7 (_ #<store-connection 256.100 7fa9ded330a0>)
   1205:2  6 (_ #<store-connection 256.100 7fa9ded330a0>)
   1072:2  5 (_ #<store-connection 256.100 7fa9ded330a0>)
    913:4  4 (_ #<store-connection 256.100 7fa9ded330a0>)
In ./guix/store.scm:
  2090:12  3 (_ #<store-connection 256.100 7fa9ded330a0>)
   1428:5  2 (map/accumulate-builds #<store-connection 256.100
7fa9ded330a0> #<procedure 7fa9cf6e0a60 at ./guix/sto?> ?)
  1444:15  1 (_ #<store-connection 256.100 7fa9ded330a0>
("/gnu/store/hszgl65h1d3vnsifb35l4zvdvk03hqdv-guix-daem?" ?) ?)
  1444:15  0 (loop #f)

./guix/store.scm:1444:15: In procedure loop:
ERROR:
  1. &store-protocol-error:
      message:
"`/gnu/store/8dzvn0qr62a8l2ad3hx1xhjdvxifc7hn-guix-1.4.0-18.4c94b9e/bin/guix
substitute' died unexpectedly"
      status: 1
guix pull: error: You found a bug: the program
'/gnu/store/13bvpk5dqjmdzspb276qzs24jcj3jjhh-compute-guix-derivation'
failed to compute the derivation for Guix (version:
"6e86089d563ccb67ae04cd941ca7b66c1777831f"; system: "x86_64-linux";
host version: "a682ddd70846d488cfbd82d65e8566ec6739813c"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.

This seems like a really low effort bug report, but I'm following
instructions and don't know what to include further.